Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network227.224.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
227.224.0.0
Broadcast address
227.255.255.255
First usable
227.224.0.1
Last usable
227.255.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E3E00000 · Integer 3823108096 to 3825205247
Reverse DNS zones
224.227.in-addr.arpa
225.227.in-addr.arpa
226.227.in-addr.arpa
227.227.in-addr.arpa
228.227.in-addr.arpa
229.227.in-addr.arpa
230.227.in-addr.arpa
231.227.in-addr.arpa
232.227.in-addr.arpa
233.227.in-addr.arpa
234.227.in-addr.arpa
235.227.in-addr.arpa
236.227.in-addr.arpa
237.227.in-addr.arpa
238.227.in-addr.arpa
239.227.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100011.11100000.00000000.00000000227.224.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11100011.11100000.00000000.00000000227.224.0.0
Broadcast11100011.11111111.11111111.11111111227.255.255.255
Split into smaller subnets/18

227.224.0.0/11 makes 128 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1227.224.0.0/18227.224.0.1 to 227.224.63.254227.224.63.25516,382
2227.224.64.0/18227.224.64.1 to 227.224.127.254227.224.127.25516,382
3227.224.128.0/18227.224.128.1 to 227.224.191.254227.224.191.25516,382
4227.224.192.0/18227.224.192.1 to 227.224.255.254227.224.255.25516,382
5227.225.0.0/18227.225.0.1 to 227.225.63.254227.225.63.25516,382
6227.225.64.0/18227.225.64.1 to 227.225.127.254227.225.127.25516,382
7227.225.128.0/18227.225.128.1 to 227.225.191.254227.225.191.25516,382
8227.225.192.0/18227.225.192.1 to 227.225.255.254227.225.255.25516,382
9227.226.0.0/18227.226.0.1 to 227.226.63.254227.226.63.25516,382
10227.226.64.0/18227.226.64.1 to 227.226.127.254227.226.127.25516,382
11227.226.128.0/18227.226.128.1 to 227.226.191.254227.226.191.25516,382
12227.226.192.0/18227.226.192.1 to 227.226.255.254227.226.255.25516,382
13227.227.0.0/18227.227.0.1 to 227.227.63.254227.227.63.25516,382
14227.227.64.0/18227.227.64.1 to 227.227.127.254227.227.127.25516,382
15227.227.128.0/18227.227.128.1 to 227.227.191.254227.227.191.25516,382
16227.227.192.0/18227.227.192.1 to 227.227.255.254227.227.255.25516,382
17227.228.0.0/18227.228.0.1 to 227.228.63.254227.228.63.25516,382
18227.228.64.0/18227.228.64.1 to 227.228.127.254227.228.127.25516,382
19227.228.128.0/18227.228.128.1 to 227.228.191.254227.228.191.25516,382
20227.228.192.0/18227.228.192.1 to 227.228.255.254227.228.255.25516,382
21227.229.0.0/18227.229.0.1 to 227.229.63.254227.229.63.25516,382
22227.229.64.0/18227.229.64.1 to 227.229.127.254227.229.127.25516,382
23227.229.128.0/18227.229.128.1 to 227.229.191.254227.229.191.25516,382
24227.229.192.0/18227.229.192.1 to 227.229.255.254227.229.255.25516,382
25227.230.0.0/18227.230.0.1 to 227.230.63.254227.230.63.25516,382
26227.230.64.0/18227.230.64.1 to 227.230.127.254227.230.127.25516,382
27227.230.128.0/18227.230.128.1 to 227.230.191.254227.230.191.25516,382
28227.230.192.0/18227.230.192.1 to 227.230.255.254227.230.255.25516,382
29227.231.0.0/18227.231.0.1 to 227.231.63.254227.231.63.25516,382
30227.231.64.0/18227.231.64.1 to 227.231.127.254227.231.127.25516,382
31227.231.128.0/18227.231.128.1 to 227.231.191.254227.231.191.25516,382
32227.231.192.0/18227.231.192.1 to 227.231.255.254227.231.255.25516,382
33227.232.0.0/18227.232.0.1 to 227.232.63.254227.232.63.25516,382
34227.232.64.0/18227.232.64.1 to 227.232.127.254227.232.127.25516,382
35227.232.128.0/18227.232.128.1 to 227.232.191.254227.232.191.25516,382
36227.232.192.0/18227.232.192.1 to 227.232.255.254227.232.255.25516,382
37227.233.0.0/18227.233.0.1 to 227.233.63.254227.233.63.25516,382
38227.233.64.0/18227.233.64.1 to 227.233.127.254227.233.127.25516,382
39227.233.128.0/18227.233.128.1 to 227.233.191.254227.233.191.25516,382
40227.233.192.0/18227.233.192.1 to 227.233.255.254227.233.255.25516,382
41227.234.0.0/18227.234.0.1 to 227.234.63.254227.234.63.25516,382
42227.234.64.0/18227.234.64.1 to 227.234.127.254227.234.127.25516,382
43227.234.128.0/18227.234.128.1 to 227.234.191.254227.234.191.25516,382
44227.234.192.0/18227.234.192.1 to 227.234.255.254227.234.255.25516,382
45227.235.0.0/18227.235.0.1 to 227.235.63.254227.235.63.25516,382
46227.235.64.0/18227.235.64.1 to 227.235.127.254227.235.127.25516,382
47227.235.128.0/18227.235.128.1 to 227.235.191.254227.235.191.25516,382
48227.235.192.0/18227.235.192.1 to 227.235.255.254227.235.255.25516,382
49227.236.0.0/18227.236.0.1 to 227.236.63.254227.236.63.25516,382
50227.236.64.0/18227.236.64.1 to 227.236.127.254227.236.127.25516,382
51227.236.128.0/18227.236.128.1 to 227.236.191.254227.236.191.25516,382
52227.236.192.0/18227.236.192.1 to 227.236.255.254227.236.255.25516,382
53227.237.0.0/18227.237.0.1 to 227.237.63.254227.237.63.25516,382
54227.237.64.0/18227.237.64.1 to 227.237.127.254227.237.127.25516,382
55227.237.128.0/18227.237.128.1 to 227.237.191.254227.237.191.25516,382
56227.237.192.0/18227.237.192.1 to 227.237.255.254227.237.255.25516,382
57227.238.0.0/18227.238.0.1 to 227.238.63.254227.238.63.25516,382
58227.238.64.0/18227.238.64.1 to 227.238.127.254227.238.127.25516,382
59227.238.128.0/18227.238.128.1 to 227.238.191.254227.238.191.25516,382
60227.238.192.0/18227.238.192.1 to 227.238.255.254227.238.255.25516,382
61227.239.0.0/18227.239.0.1 to 227.239.63.254227.239.63.25516,382
62227.239.64.0/18227.239.64.1 to 227.239.127.254227.239.127.25516,382
63227.239.128.0/18227.239.128.1 to 227.239.191.254227.239.191.25516,382
64227.239.192.0/18227.239.192.1 to 227.239.255.254227.239.255.25516,382
65227.240.0.0/18227.240.0.1 to 227.240.63.254227.240.63.25516,382
66227.240.64.0/18227.240.64.1 to 227.240.127.254227.240.127.25516,382
67227.240.128.0/18227.240.128.1 to 227.240.191.254227.240.191.25516,382
68227.240.192.0/18227.240.192.1 to 227.240.255.254227.240.255.25516,382
69227.241.0.0/18227.241.0.1 to 227.241.63.254227.241.63.25516,382
70227.241.64.0/18227.241.64.1 to 227.241.127.254227.241.127.25516,382
71227.241.128.0/18227.241.128.1 to 227.241.191.254227.241.191.25516,382
72227.241.192.0/18227.241.192.1 to 227.241.255.254227.241.255.25516,382
73227.242.0.0/18227.242.0.1 to 227.242.63.254227.242.63.25516,382
74227.242.64.0/18227.242.64.1 to 227.242.127.254227.242.127.25516,382
75227.242.128.0/18227.242.128.1 to 227.242.191.254227.242.191.25516,382
76227.242.192.0/18227.242.192.1 to 227.242.255.254227.242.255.25516,382
77227.243.0.0/18227.243.0.1 to 227.243.63.254227.243.63.25516,382
78227.243.64.0/18227.243.64.1 to 227.243.127.254227.243.127.25516,382
79227.243.128.0/18227.243.128.1 to 227.243.191.254227.243.191.25516,382
80227.243.192.0/18227.243.192.1 to 227.243.255.254227.243.255.25516,382
81227.244.0.0/18227.244.0.1 to 227.244.63.254227.244.63.25516,382
82227.244.64.0/18227.244.64.1 to 227.244.127.254227.244.127.25516,382
83227.244.128.0/18227.244.128.1 to 227.244.191.254227.244.191.25516,382
84227.244.192.0/18227.244.192.1 to 227.244.255.254227.244.255.25516,382
85227.245.0.0/18227.245.0.1 to 227.245.63.254227.245.63.25516,382
86227.245.64.0/18227.245.64.1 to 227.245.127.254227.245.127.25516,382
87227.245.128.0/18227.245.128.1 to 227.245.191.254227.245.191.25516,382
88227.245.192.0/18227.245.192.1 to 227.245.255.254227.245.255.25516,382
89227.246.0.0/18227.246.0.1 to 227.246.63.254227.246.63.25516,382
90227.246.64.0/18227.246.64.1 to 227.246.127.254227.246.127.25516,382
91227.246.128.0/18227.246.128.1 to 227.246.191.254227.246.191.25516,382
92227.246.192.0/18227.246.192.1 to 227.246.255.254227.246.255.25516,382
93227.247.0.0/18227.247.0.1 to 227.247.63.254227.247.63.25516,382
94227.247.64.0/18227.247.64.1 to 227.247.127.254227.247.127.25516,382
95227.247.128.0/18227.247.128.1 to 227.247.191.254227.247.191.25516,382
96227.247.192.0/18227.247.192.1 to 227.247.255.254227.247.255.25516,382
97227.248.0.0/18227.248.0.1 to 227.248.63.254227.248.63.25516,382
98227.248.64.0/18227.248.64.1 to 227.248.127.254227.248.127.25516,382
99227.248.128.0/18227.248.128.1 to 227.248.191.254227.248.191.25516,382
100227.248.192.0/18227.248.192.1 to 227.248.255.254227.248.255.25516,382
101227.249.0.0/18227.249.0.1 to 227.249.63.254227.249.63.25516,382
102227.249.64.0/18227.249.64.1 to 227.249.127.254227.249.127.25516,382
103227.249.128.0/18227.249.128.1 to 227.249.191.254227.249.191.25516,382
104227.249.192.0/18227.249.192.1 to 227.249.255.254227.249.255.25516,382
105227.250.0.0/18227.250.0.1 to 227.250.63.254227.250.63.25516,382
106227.250.64.0/18227.250.64.1 to 227.250.127.254227.250.127.25516,382
107227.250.128.0/18227.250.128.1 to 227.250.191.254227.250.191.25516,382
108227.250.192.0/18227.250.192.1 to 227.250.255.254227.250.255.25516,382
109227.251.0.0/18227.251.0.1 to 227.251.63.254227.251.63.25516,382
110227.251.64.0/18227.251.64.1 to 227.251.127.254227.251.127.25516,382
111227.251.128.0/18227.251.128.1 to 227.251.191.254227.251.191.25516,382
112227.251.192.0/18227.251.192.1 to 227.251.255.254227.251.255.25516,382
113227.252.0.0/18227.252.0.1 to 227.252.63.254227.252.63.25516,382
114227.252.64.0/18227.252.64.1 to 227.252.127.254227.252.127.25516,382
115227.252.128.0/18227.252.128.1 to 227.252.191.254227.252.191.25516,382
116227.252.192.0/18227.252.192.1 to 227.252.255.254227.252.255.25516,382
117227.253.0.0/18227.253.0.1 to 227.253.63.254227.253.63.25516,382
118227.253.64.0/18227.253.64.1 to 227.253.127.254227.253.127.25516,382
119227.253.128.0/18227.253.128.1 to 227.253.191.254227.253.191.25516,382
120227.253.192.0/18227.253.192.1 to 227.253.255.254227.253.255.25516,382
121227.254.0.0/18227.254.0.1 to 227.254.63.254227.254.63.25516,382
122227.254.64.0/18227.254.64.1 to 227.254.127.254227.254.127.25516,382
123227.254.128.0/18227.254.128.1 to 227.254.191.254227.254.191.25516,382
124227.254.192.0/18227.254.192.1 to 227.254.255.254227.254.255.25516,382
125227.255.0.0/18227.255.0.1 to 227.255.63.254227.255.63.25516,382
126227.255.64.0/18227.255.64.1 to 227.255.127.254227.255.127.25516,382
127227.255.128.0/18227.255.128.1 to 227.255.191.254227.255.191.25516,382
128227.255.192.0/18227.255.192.1 to 227.255.255.254227.255.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses